## gnupg2 2.0.14

=== debian/changelog ===
gnupg2 (2.0.14-1ubuntu1.2) lucid-security; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via certificate with large number of Subject Alternate Names
    - debian/patches/CVE-2010-2547.patch: fix use-after-free in
      kbx/keybox-blob.c.
    - CVE-2010-2547

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Aug 2010 15:31:52 -0400

gnupg2 (2.0.14-1ubuntu1.1) lucid-proposed; urgency=low

  * Fix a regression in gnupg2 2.0.14 which prevents unprotection of new or
    changed gpg-agent passphrases. Patch provided by Werner Koch (upstream)
    (lp: #567106).

 -- Michael Bienia <geser@ubuntu.com>  Sat, 19 Jun 2010 11:01:30 +0200

gnupg2 (2.0.14-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing (lp: #511356). Remaining changes:
    - debian/gnupg2.dev: udev rules to set ACLs on SCM smartcard readers.
    - debian/rules: Call dh_installudev.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 22 Jan 2010 21:49:55 +0100

gnupg2 (2.0.14-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Build depend on libreadline-dev instead of
    libreadline5-dev, since libreadline6-dev is out. (Closes: #548922)
  * debian/source/format, debian/source/options,
    debian/source/patch-header: Convert to v3 quilt format, with
    single-debian-patch.
  * debian/control: Tighten dependency on gnupg-agent. (Closes: #551792)

 -- Eric Dorland <eric@debian.org>  Sat, 09 Jan 2010 21:15:18 -0500

gnupg2 (2.0.13-1ubuntu1) lucid; urgency=low

  * Merge with Debian testing (lp: #477491). Remaining changes:
    - Build-depend on libreadline-dev instead of libreadline5-dev.
    - debian/gnupg2.dev: udev rules to set ACLs on SCM smartcard readers.
    - debian/rules: Call dh_installudev.

 -- Michael Bienia <geser@ubuntu.com>  Sat, 07 Nov 2009 13:12:03 +0100

gnupg2 (2.0.13-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Depend instead of Recommend gnupg-agent. (Closes:
    #538947)

 -- Eric Dorland <eric@debian.org>  Mon, 07 Sep 2009 20:38:23 -0400

gnupg2 (2.0.12-1) unstable; urgency=low

  * New upstream release. (Closes: #499569, #463270, #446494, #314068, 
    #519375, #514587)
  * debian/control: Change build dependency on gs to ghoscript, since
    ghoscript has been replaced.
  * debian/compat: Use debhelper v7.
  * debian/control: Update Standards-Version to 3.8.2.
  * debian/control: Use ${misc:Depends}.
  * configure.ac: Override pkgdatadir so that it points to
    /usr/share/gnupg2. (Closes: #528734)
  * debian/rules: No longer need to specify pkgdatadir at make install
    time.

 -- Eric Dorland <eric@debian.org>  Sun, 23 Aug 2009 20:48:11 -0400

gnupg2 (2.0.12-0ubuntu2) karmic; urgency=low

  * Build-depend on libreadline-dev instead of libreadline5-dev.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 19 Sep 2009 22:56:12 +0200

gnupg2 (2.0.12-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Add 01-scd-pw2.patch, 03-opgp-writekey.patch, and 06-opgp-sign3072.patch
    from https://bugs.g10code.com/gnupg/issue1094 to make OpenPGP 2.0
    smartcards work.

 -- Soren Hansen <soren@ubuntu.com>  Tue, 04 Aug 2009 12:27:49 +0100

gnupg2 (2.0.11-1ubuntu1) karmic; urgency=low

  * debian/gnupg2.udev:
    Add udev rules to set ACLs on SCM smartcard readers. They replace the hal
    rules for the same purpose. (LP: #57755)
  * debian/rules:
    Call dh_installudev.

 -- Michael Bienia <geser@ubuntu.com>  Fri, 03 Jul 2009 15:35:47 +0200

gnupg2 (2.0.11-1) unstable; urgency=low

  * New upstream release. (Closes: #496663)
  * debian/control: Make the description a little more distinctive than
    gnupg v1's. Thanks Jari Aalto. (Closes: #496323)

 -- Eric Dorland <eric@debian.org>  Sun, 08 Mar 2009 22:46:47 -0400

gnupg2 (2.0.9-3) unstable; urgency=medium

  * Urgency medium to try to beat the release.
  * tools/gpgkey2ssh.c: Patch from Daniel Kahn Gillmor to fix broken ssh
    key generation. (Closes: #473841)

 -- Eric Dorland <eric@debian.org>  Mon, 21 Jul 2008 03:48:11 -0400

gnupg2 (2.0.9-2) unstable; urgency=low

  * The "I've neglected you too long" release.
  
  * debian/control: 
    - Add recommends on gnupg-agent for gpgsm and gnupg2, since they need 
      it under most circumstances. (Closes: #459462, #477691)
    - Depend on pinentry instead of recommend, and move pinentry-gtk2 to the 
      front of the alternatives list. (Closes: #462951)
  * keyserver/gpgkeys_curl.c, keyserver/gpgkeys_hkp.c: Fix FTBFS with gcc
    4.3 strictness on bitfields combined with curl. (Closes: #476999)

 -- Eric Dorland <eric@debian.org>  Mon, 28 Apr 2008 03:22:20 -0400

gnupg2 (2.0.9-1) unstable; urgency=low

  * New upstream release. Fixes CVE-2008-1530, Key import memory corruption. 
    (Closes: #472928)
  * debian/rules: Don't ignore status of make distclean, just check for
    the existance of the Makefile.

 -- Eric Dorland <eric@debian.org>  Sat, 29 Mar 2008 03:21:21 -0400

gnupg2 (2.0.8-1) unstable; urgency=low

  * New upstream release. (Closes: #428635)
  * debian/watch: Use passive ftp, ftp.gnupg.org doesn't seem happy
    otherwise. (Closes: #456467)
  * debian/control:
    - Requires libassuan >= 1.0.4 now.
    - Remove the XS- prefix from the Vcs-* headers.
    - Add Homepage header.
    - Upgrade Standards-Version to 3.7.3.0.
    - Make gnupg2 optional rather than extra.
    - Remove unnecessary conflict on suidmanager.
  
 -- Eric Dorland <eric@debian.org>  Sat, 22 Dec 2007 02:06:42 -0500

gnupg2 (2.0.7-1) unstable; urgency=low

  * New upstream release.
  * debian/rules:
    - Remove unnecessary deletion of the .gmo files. (Closes: #442583)
    - Clean out some old comments
  * gnupg-agent.xsession: Remove the quotes around --write-env-file
    argument. Not ideal, but fine for now. Thanks Luis Rodrigo Gallardo
    Cruz. (Closes: #443580)

 -- Eric Dorland <eric@debian.org>  Sun, 30 Sep 2007 02:50:40 -0400

gnupg2 (2.0.6-1) unstable; urgency=low

  * New upstream release. (Closes: #437289)

