=== debian/control ===
Source: gnupg2
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
Standards-Version: 3.8.2
Build-Depends: debhelper (>= 4.1), gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.4), libassuan-dev (>= 1.0.4), libgcrypt11-dev (>= 1.2.0), libksba-dev (>= 1.0.2),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev
Vcs-Git: git://git.debian.org/~eric/gnupg2.git
Vcs-Browser: http://git.debian.org/?p=users/eric/gnupg2.git
Homepage: http://www.gnupg.org/

Package: gnupg-agent
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-gtk2 | pinentry-curses | pinentry
Recommends: gnupg2 | gpgsm | gnupg
Conflicts: newpg
Replaces: newpg
Description: GNU privacy guard - password agent
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 This package contains the agent program gpg-agent which keeps a
 temporary secure storage of your passphrases.

Package: gpgsm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: gnupg2 (<< 2.0.0-2), gnupg-agent
Description: GNU privacy guard - S/MIME version
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 This package contains the gpgsm program. gpgsm is a tool to provide
 digital encryption and signing services on X.509 certificates and the
 CMS protocol. gpgsm includes complete certificate management.

Package: gnupg2
Architecture: any
Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Recommends: ${shlibs:Recommends}
Suggests: gnupg-doc, xloadimage
Conflicts: gpg-idea (<= 2.2)
Description: GNU privacy guard - a free PGP replacement (new v2.x)
 GnuPG is GNU's tool for secure communication and data storage.
 It can be used to encrypt data and to create digital signatures.
 It includes an advanced key management facility and is compliant
 with the proposed OpenPGP Internet standard as described in RFC2440.
 .
 GnuPG 2.x is the new modularized version of GnuPG supporting OpenPGP
 and S/MIME.
 .
 GnuPG does not use any patented algorithms so it cannot be compatible
 with PGP2 because it uses IDEA (which is patented worldwide).
