=== debian/watch ===
version=3

opts=pasv ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-(.*)\.tar\.bz2
