## gnupg2 2.0.15

=== debian/changelog ===
gnupg2 (2.0.15-1maemo3) unstable; urgency=low

  * Build Depend on libreadline5-dev

 -- Bjoern Ricks <bjoern.ricks@intevation.de>  Mon, 19 Apr 2010 16:04:20 +0200

gnupg2 (2.0.15-1maemo2) unstable; urgency=low

  * maemo-optified version 

 -- Bjoern Ricks <bjoern.ricks@intevation.de>  Tue, 30 Mar 2010 15:59:10 +0200

gnupg2 (2.0.15-1maemo1) unstable; urgency=low

  * New upstream release.
  * Updated build-depends
  * dropped build-depens libcurl4-gnutls-dev
  * added optional depends of pinentry-qt4 for gnupg-agent

 -- Bjoern Ricks <bjoern.ricks@intevation.de>  Thu, 11 Mar 2010 10:15:19 +0100
