=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Bjoern Ricks <bjoern.ricks@intevation.de>
 XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
 Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 4.1), gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.4), libassuan-dev (>= 1.0.4), libgcrypt11-dev (>= 1.2.0), libksba-dev (>= 1.0.2),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev
-Vcs-Git: git://git.debian.org/~eric/gnupg2.git
-Vcs-Browser: http://git.debian.org/?p=users/eric/gnupg2.git
+Build-Depends: debhelper (>= 4.1), gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.4),
+ libassuan-dev (>= 2.0.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.2),libpth-dev, libusb-dev,
+ libreadline5-dev | libreadline-dev, maemo-optify
 Homepage: http://www.gnupg.org/
 
 Package: gnupg-agent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-gtk2 | pinentry-curses | pinentry
+Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-qt4 | pinentry-gtk2 | pinentry-curses | pinentry
 Recommends: gnupg2 | gpgsm | gnupg
 Conflicts: newpg
 Replaces: newpg
