=== debian/rules ===
--- 
+++ 
@@ -114,7 +114,6 @@
 	dh_installexamples -a
 	dh_installinfo -a
 	dh_installchangelogs -a
-	dh_installudev -a
 
 	$(install_dir) debian/gnupg2/usr/share/lintian/overrides/
 	$(install_file) debian/gnupg2.lintian debian/gnupg2/usr/share/lintian/overrides/gnupg2
@@ -131,6 +130,7 @@
 	dh_shlibdeps -a -Xgnupg2/gpg2keys_ldap -- \
 		-dRecommends debian/tmp/usr/lib/gnupg2/gpg2keys_ldap -dDepends
 	dh_gencontrol -a
+	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
