## gnupg2 2.0.17

=== debian/changelog ===
gnupg2 (2.0.17-2ubuntu2.12.04.2) precise-security; urgency=low

  * SECURITY UPDATE: keyring corruption via malformed key import
    - debian/patches/CVE-2012-6085.patch: validate PKTTYPE in g10/import.c.
    - CVE-2012-6085

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 08 Jan 2013 15:36:17 -0500

gnupg2 (2.0.17-2ubuntu2.12.04.1) precise-security; urgency=low

  * debian/patches/long-keyids.diff: Use the longest key ID available
    when requesting a key from a key server.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 14 Aug 2012 13:12:12 -0400

gnupg2 (2.0.17-2ubuntu2) oneiric; urgency=low

  * debian/patches/gnupg2-fix-libgcrypt.diff: Fix assertion failure with
    libgcrypt 1.5.0.  (LP: #815190)

 -- Anders Kaseorg <andersk@mit.edu>  Sat, 23 Jul 2011 15:50:51 -0400

gnupg2 (2.0.17-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. Remaining changes:
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
      . debian/gnupg2.dev: udev rules to set ACLs on SCM smartcard readers.
      . debian/rules: Call dh_installudev.
    - debian/control: Rename Vcs-* to XS-Debian-Vcs-*.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 25 May 2011 14:27:35 -0400

gnupg2 (2.0.17-2) unstable; urgency=low

  * debian/control: Add dependency on dpkg (>= 1.15.4) | install-info for
    info install trigger.
  * debian/control, debian/rules: Use debian build hardening.

 -- Eric Dorland <eric@debian.org>  Sun, 13 Feb 2011 16:33:17 -0500

gnupg2 (2.0.17-1) unstable; urgency=low

  * New upstream release. (Closes: #584316, #603985, #603983, #603984)
  * debian/patches/02-encode-s2k.diff,
    debian/patches/03-gpgsm-realloc.diff, debian/patches/series: Drop now
    unneeded security patches.
  * debian/rules, debian/patches/01-gnupg2-rename.diff,
    debian/gnupg2.info, debian/gnupg2.install: No need to rename the info
    file anymore.
  * debian/patches/01-gnupg2-rename.diff: Rename the autoconf package for
    better renaming of pkg directories. (Closes: #579006)
  * debian/control, debian/compat: Upgrade to debhelper level 8.
  * debian/control:
    - Upgrade Standards-Version to 3.9.1.
    - Update Build-Depends versions for the latest release.
  * debian/gnupg2.install: Add the applygnupgdefaults command. (Closes:
    #567537)
  * debian/gnupg2.docs: doc/faq.html no longer exists.

 -- Eric Dorland <eric@debian.org>  Sun, 13 Feb 2011 16:06:41 -0500

gnupg2 (2.0.14-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
      . debian/gnupg2.dev: udev rules to set ACLs on SCM smartcard readers.
      . debian/rules: Call dh_installudev.
    - debian/control: Rename Vcs-* to XS-Debian-Vcs-*.
  * debian/patches/CVE-2010-2547.patch: dropped, now in
    03-gpgsm-realloc.diff.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 16 Nov 2010 11:30:31 -0500

gnupg2 (2.0.14-2) unstable; urgency=low

  * debian/*.lintian, debian/*.lintian-overrides, debian/rules: Rename
    lintian files and use dh_lintian instead of shell snippets.
  * debian/source/patch-header, debian/source/options: Delete patch header
    and remove single-debian-patch option.
  * debian/patches/01-gnupg2-rename.diff: Move patch to do the necessary
    renaming of gnupg -> gnupg2 in a quilt patch.
  * debian/patches/02-encode-s2k.diff: Added patch to fix passphrase
    problem in gpgsm. Thanks Martijn van Brummelen for the NMU to fix this
    problem in 2.0.14-1.1.
  * debian/patches/03-gpgsm-realloc.diff: Fix for "Realloc Bug with X.509
    certificates" for gpgsm. (Closes: #590122)
  * debian/rules, debian/control: Use dh-autoreconf and autopoint to
    regenerate autotools files at build time.

 -- Eric Dorland <eric@debian.org>  Sun, 25 Jul 2010 02:16:42 -0400

gnupg2 (2.0.14-1.1ubuntu2) maverick; urgency=low

  * SECURITY UPDATE: denial of service and possible arbitrary code
    execution via certificate with large number of Subject Alternate Names
    - debian/patches/CVE-2010-2547.patch: fix use-after-free in
      kbx/keybox-blob.c.
    - CVE-2010-2547

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 11 Aug 2010 13:56:02 -0400

gnupg2 (2.0.14-1.1ubuntu1) maverick; urgency=low

  * Merge with Debian; remaining changes:
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
      . debian/gnupg2.dev: udev rules to set ACLs on SCM smartcard readers.
      . debian/rules: Call dh_installudev.

 -- Loïc Minier <loic.minier@ubuntu.com>  Tue, 15 Jun 2010 13:21:29 +0200

gnupg2 (2.0.14-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added encode-s2k.patch(Encode the s2kcount and do not use a
    static value of 96.(thanks to Werner Koch) (closes: #567926).

 -- Martijn van Brummelen <martijn@brumit.nl>  Fri, 07 May 2010 06:23:55 +0200

gnupg2 (2.0.14-1ubuntu2) maverick; urgency=low

  * Drop Ubuntu patch from series, refresh debian/patches/debian-changes after
    updating config.guess and config.sub with the Ubuntu version; fixes FTBFS
    in Ubuntu.
  * Rename Vcs-* to XS-Debian-Vcs-*.

 -- Loïc Minier <loic.minier@ubuntu.com>  Sun, 06 Jun 2010 15:11:15 +0200
