=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Bjoern Ricks <bjoern.ricks@intevation.de>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
-Standards-Version: 3.8.2
-Build-Depends: debhelper (>= 4.1), gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.4),
- libassuan-dev (>= 2.0.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.2),libpth-dev, libusb-dev,
- libreadline5-dev | libreadline-dev, maemo-optify
+Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.7), libassuan-dev (>= 2.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.7),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev, hardening-wrapper
+XS-Debian-Vcs-Git: git://git.debian.org/~eric/gnupg2.git
+XS-Debian-Vcs-Browser: http://git.debian.org/?p=users/eric/gnupg2.git
 Homepage: http://www.gnupg.org/
 
 Package: gnupg-agent
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-qt4 | pinentry-gtk2 | pinentry-curses | pinentry
+Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-gtk2 | pinentry-curses | pinentry
 Recommends: gnupg2 | gpgsm | gnupg
 Conflicts: newpg
 Replaces: newpg
@@ -40,7 +40,8 @@
 
 Package: gnupg2
 Architecture: any
-Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+  dpkg (>= 1.15.4) | install-info
 Recommends: ${shlibs:Recommends}
 Suggests: gnupg-doc, xloadimage
 Conflicts: gpg-idea (<= 2.2)
