=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 # my name from the file itself.  (I assert my moral right of
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
+
+export DEB_BUILD_HARDENING=1
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -42,6 +44,7 @@
 config-stamp: configure
 	dh_testdir
 	chmod +x configure tests/runtest
+	dh_autoreconf
 	env CFLAGS="$(CFLAGS)" \
 	./configure $(confflags) --enable-maintainer-mode \
 		--prefix=/usr --with-included-gettext \
@@ -54,9 +57,6 @@
 build: build-stamp
 build-stamp: config
 	$(MAKE)
-	$(MAKE) -C doc
-
-	cd doc && makeinfo gnupg.texi
 
 	touch build-stamp
 
@@ -68,9 +68,10 @@
 
 clean:
 	dh_testdir
-	-rm -f config-stamp build-stamp test-stamp doc/gnupg2.info*
+	-rm -f config-stamp build-stamp test-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
 
+	dh_autoreconf_clean
 	dh_clean
 
 	test -r /usr/share/misc/config.sub && \
@@ -114,11 +115,9 @@
 	dh_installexamples -a
 	dh_installinfo -a
 	dh_installchangelogs -a
+	dh_installudev -a
+	dh_lintian -a
 
-	$(install_dir) debian/gnupg2/usr/share/lintian/overrides/
-	$(install_file) debian/gnupg2.lintian debian/gnupg2/usr/share/lintian/overrides/gnupg2
-	$(install_file) debian/gpgsm.lintian debian/gpgsm/usr/share/lintian/overrides/gpgsm
-	$(install_file) debian/gnupg-agent.lintian debian/gnupg-agent/usr/share/lintian/overrides/gnupg-agent
 	$(install_file) debian/gnupg-agent.xsession debian/gnupg-agent/etc/X11/Xsession.d/90gpg-agent
 
 	dh_strip -a
@@ -130,7 +129,6 @@
 	dh_shlibdeps -a -Xgnupg2/gpg2keys_ldap -- \
 		-dRecommends debian/tmp/usr/lib/gnupg2/gpg2keys_ldap -dDepends
 	dh_gencontrol -a
-	maemo-optify
 	dh_md5sums -a
 	dh_builddeb -a
