## gnupg2 2.0.18

=== debian/changelog ===
gnupg2 (2.0.18-2) unstable; urgency=low

  * debian/control, debian/gpgsm.install, debian/scdaemon.install: Add a
    separate package for the scdaemon. (Closes: #416129)
  * debian/control, debian/gpgsm.install, debian/gnupg2.install,
    gnupg-agent.install: Move gpg-preset-passphrase and gpg-protect-tool
    into the gnupg-agent.
  * debian/control: Upgrade Standards-Version to 3.9.2.
  * debian/rules: Install ChangeLog for new scdaemon package.

 -- Eric Dorland <eric@debian.org>  Sat, 15 Oct 2011 20:21:35 -0400

gnupg2 (2.0.18-1) unstable; urgency=low

  * New upstream release. (Closes: #635206)
  * debian/copyright: Update ftp location. (Closes: #624404)
  * debian/patches/01-gnupg2-rename.diff: Refresh patch.

 -- Eric Dorland <eric@debian.org>  Tue, 30 Aug 2011 03:43:20 -0400

gnupg2 (2.0.17-3) unstable; urgency=low

  * debian/rules: Convert the rules file to use the lovely dh format.
  * debian/gnupg2.dirs, debian/gnupg-agent.dirs, debian/gpgsm.dirs: Remove
    unless dirs files.
  * debian/gnupg-agent.lintian-overrides, debian/gnupg2.lintian-overrides,
    debian/gpgsm.lintian-overrides: Remove unneeded lintian-overrides files.

 -- Eric Dorland <eric@debian.org>  Mon, 14 Feb 2011 03:17:39 -0500
