=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
-Standards-Version: 3.9.1
+Maintainer: Eric Dorland <eric@debian.org>
+Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.7), libassuan-dev (>= 2.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.7),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev, hardening-wrapper
-XS-Debian-Vcs-Git: git://git.debian.org/~eric/gnupg2.git
-XS-Debian-Vcs-Browser: http://git.debian.org/?p=users/eric/gnupg2.git
+Vcs-Git: git://git.debian.org/~eric/gnupg2.git
+Vcs-Browser: http://git.debian.org/?p=users/eric/gnupg2.git
 Homepage: http://www.gnupg.org/
 
 Package: gnupg-agent
@@ -14,7 +13,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-gtk2 | pinentry-curses | pinentry
 Recommends: gnupg2 | gpgsm | gnupg
 Conflicts: newpg
-Replaces: newpg
+Replaces: newpg, gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2)
+Breaks: gnupg2 (<< 2.0.18-2), gpgsm (<< 2.0.18-2)
 Description: GNU privacy guard - password agent
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -24,9 +24,23 @@
  This package contains the agent program gpg-agent which keeps a
  temporary secure storage of your passphrases.
 
+Package: scdaemon
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: gpgsm (<< 2.0.18-2)
+Replaces: gpgsm (<< 2.0.18-2)
+Description: GNU privacy guard - password agent
+ GnuPG is GNU's tool for secure communication and data storage.
+ It can be used to encrypt data and to create digital signatures.
+ It includes an advanced key management facility and is compliant
+ with the proposed OpenPGP Internet standard as described in RFC2440.
+ .
+ This package contains the smart card program scdaemon, which is used
+ by gnupg-agent to access OpenPGP smart cards.
+
 Package: gpgsm
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, scdaemon
 Replaces: gnupg2 (<< 2.0.0-2), gnupg-agent
 Description: GNU privacy guard - S/MIME version
  GnuPG is GNU's tool for secure communication and data storage.
