## gnupg2 2.0.19

=== debian/changelog ===
gnupg2 (2.0.19-2+deb7u2) wheezy-security; urgency=high

  * debian/patches/06-cve-2014-4617.diff: Fixes CVE-2014-4617 "infinite
    loop when decompressing data packets". (Closes: #752498)

 -- Eric Dorland <eric@debian.org>  Thu, 26 Jun 2014 00:30:48 -0400

gnupg2 (2.0.19-2+deb7u1) wheezy-security; urgency=high

  * debian/patches/{03-cve-2013-4402_p1.diff,04-cve-2013-4402_p2.diff}:
    Fix for CVE-2013-4402, "infinite recursion in the compressed packet
    parser". (Closes: #725433)
  * debian/patches/05-cve-2013-4351.diff: Fix for CVE-2013-4351, "treats
    no-usage-permitted keys as all-usages-permitted". (Closes: #722724)

 -- Eric Dorland <eric@debian.org>  Tue, 08 Oct 2013 02:04:01 -0400

gnupg2 (2.0.19-2) unstable; urgency=high

  * debian/patches/02-cve-2012-6085.diff: Patch from upstream to fix
    CVE-2012-6085, "gnupg key import memory corruption". (Closes: #697251)
  * debian/control: Use canonical addresses for VCS.
  * debian/control: Fix scdaemon short description.

 -- Eric Dorland <eric@debian.org>  Fri, 04 Jan 2013 00:56:52 -0500

gnupg2 (2.0.19-1) unstable; urgency=low

  * New upstream release. (Closes: #666092)
  * debian/control: Add Multi-Arch: foreign to all packages.
  * debian/rules: Update ChangeLog locations.

 -- Eric Dorland <eric@debian.org>  Sat, 31 Mar 2012 01:06:02 -0400
