=== debian/control ===
--- 
+++ 
@@ -4,12 +4,13 @@
 Maintainer: Eric Dorland <eric@debian.org>
 Standards-Version: 3.9.2
 Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.7), libassuan-dev (>= 2.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.7),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev, hardening-wrapper
-Vcs-Git: git://git.debian.org/~eric/gnupg2.git
-Vcs-Browser: http://git.debian.org/?p=users/eric/gnupg2.git
+Vcs-Git: git://anonscm.debian.org/~eric/gnupg2.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/eric/gnupg2.git
 Homepage: http://www.gnupg.org/
 
 Package: gnupg-agent
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, pinentry-gtk2 | pinentry-curses | pinentry
 Recommends: gnupg2 | gpgsm | gnupg
 Conflicts: newpg
@@ -26,10 +27,11 @@
 
 Package: scdaemon
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: gpgsm (<< 2.0.18-2)
 Replaces: gpgsm (<< 2.0.18-2)
-Description: GNU privacy guard - password agent
+Description: GNU privacy guard - smart card support
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
  It includes an advanced key management facility and is compliant
@@ -40,6 +42,7 @@
 
 Package: gpgsm
 Architecture: any
+Multi-Arch: foreign
 Depends: ${shlibs:Depends}, ${misc:Depends}, scdaemon
 Replaces: gnupg2 (<< 2.0.0-2), gnupg-agent
 Description: GNU privacy guard - S/MIME version
@@ -54,6 +57,7 @@
 
 Package: gnupg2
 Architecture: any
+Multi-Arch: foreign
 Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
   dpkg (>= 1.15.4) | install-info
 Recommends: ${shlibs:Recommends}
