=== debian/rules ===
--- 
+++ 
@@ -30,14 +30,14 @@
 		debian/gnupg-agent/etc/X11/Xsession.d/90gpg-agent
 
 override_dh_installchangelogs:
-	dh_installchangelogs -pgnupg-agent agent/ChangeLog
-	dh_installchangelogs -pgpgsm sm/ChangeLog
-	dh_installchangelogs -pscdaemon scd/ChangeLog
+	dh_installchangelogs -pgnupg-agent agent/ChangeLog-2011
+	dh_installchangelogs -pgpgsm sm/ChangeLog-2011
+	dh_installchangelogs -pscdaemon scd/ChangeLog-2011
 	dh_installchangelogs -pgnupg2 ChangeLog
 
 # Install subdirectory changelogs.
 	for i in \
-		$(foreach dir,doc g10 jnlib kbx keyserver tools,$(dir)/ChangeLog); \
+		$(foreach dir,doc g10 jnlib kbx keyserver tools,$(dir)/ChangeLog-2011); \
 		do install -m 644 $$i \
 			debian/gnupg2/usr/share/doc/gnupg2/changelog.$$(dirname $$i); done
