=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Eric Dorland <eric@debian.org>
-Standards-Version: 3.9.2
-Build-Depends: debhelper (>= 8), dh-autoreconf, autopoint, gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.7), libassuan-dev (>= 2.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.7),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev, hardening-wrapper
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
+Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.7), libassuan-dev (>= 2.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.7),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev
 Vcs-Git: git://anonscm.debian.org/~eric/gnupg2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/eric/gnupg2.git
 Homepage: http://www.gnupg.org/
@@ -43,7 +44,7 @@
 Package: gpgsm
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, scdaemon
+Depends: ${shlibs:Depends}, ${misc:Depends}, scdaemon (= ${binary:Version})
 Replaces: gnupg2 (<< 2.0.0-2), gnupg-agent
 Description: GNU privacy guard - S/MIME version
  GnuPG is GNU's tool for secure communication and data storage.
