=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,13 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 
-export DEB_BUILD_HARDENING=1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-symcryptrun
+	dh_auto_configure -- --libexecdir=\$${pkglibdir} --enable-symcryptrun
 
 override_dh_shlibdeps:
 # Make ldap a recommends rather than a hard dependency.
@@ -28,6 +28,9 @@
 	install -d debian/gnupg-agent/etc/X11/Xsession.d
 	install -m 644 debian/gnupg-agent.xsession \
 		debian/gnupg-agent/etc/X11/Xsession.d/90gpg-agent
+
+	# Upstart user job (only used under user sessions)
+	install -p -m 644 -D debian/gpg-agent.user-session.upstart debian/gnupg-agent/usr/share/upstart/sessions/gpg-agent.conf
 
 override_dh_installchangelogs:
 	dh_installchangelogs -pgnupg-agent agent/ChangeLog-2011
