## gnupg2 2.0.22

=== debian/changelog ===
gnupg2 (2.0.22-3ubuntu1) trusty; urgency=medium

  * Merge from Debian, remaining changes:
    - Drop sh prefix from openpgp test environment as it leads to exec
    invocations of sh /bin/bash leading to syntax errors from sh.  Fixes
    FTBFS detected in Ubuntu saucy archive rebuild.
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
    - debian/gnupg2.udev: udev rules to set ACLs on SCM smartcard readers.
    - Add upstart user job for gpg-agent.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Feb 2014 15:08:39 +0000

gnupg2 (2.0.22-3) unstable; urgency=low

  * debian/watch, debian/upstream-signing-key.pgp: Add upstream signing
    key for uscan verification.
  * debian/kbxutil.1, debian/rules: Add better description and regenerate
    the manpage.
  * debian/control: Remove version on gpg-idea conflict, add missing
    Breaks for gpgsm and convert Conflicts to Breaks for gpgv2.
  * debian/control: Move gnupg-agent to Depends for gpgsm instead of
    Replaces (which in turn should have been Recommends).
  * debian/control: Standards-Version to 3.9.5.
  * debian/copyright: Switch to a shiny DEP-5 copyright file.

 -- Eric Dorland <eric@debian.org>  Wed, 01 Jan 2014 22:56:56 -0500

gnupg2 (2.0.22-2) unstable; urgency=low

  * debian/control: Fix Build-Conflicts on newer automakes. Thanks Chris
    Boot. (Closes: #726015)
  * debian/control: IDEA is no longer patented, drop its metion from the
    description. Thanks brian m. carlson. (Closes: #726139)
  * debian/rules: Disable the test suite on mips and mipsel to work around
    Bug:#730846.

 -- Eric Dorland <eric@debian.org>  Sat, 30 Nov 2013 23:47:56 -0500

gnupg2 (2.0.22-1ubuntu1) trusty; urgency=low

  * Merge from Debian, remaining changes:
    - Drop sh prefix from openpgp test environment as it leads to exec
    invocations of sh /bin/bash leading to syntax errors from sh.  Fixes
    FTBFS detected in Ubuntu saucy archive rebuild.
    - Add udev rules to give gpg access to some smartcard readers;
      Debian #543217.
    - debian/gnupg2.udev: udev rules to set ACLs on SCM smartcard readers.
    - Add upstart user job for gpg-agent.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Fri, 01 Nov 2013 22:15:05 +0000

gnupg2 (2.0.22-1) unstable; urgency=low

  * New upstream version. Fixes CVE-2013-4402 and CVE-2013-4351. (Closes:
    #725433, #722724)
  * debian/gnupg2.install: Install gnupg-card-architecture.png for the
    info file.

 -- Eric Dorland <eric@debian.org>  Sat, 05 Oct 2013 17:45:28 -0400

gnupg2 (2.0.21-2) unstable; urgency=low

  * debian/rules, debian/gnupg2.install: Switch libexecdir to
    /usr/lib/gnupg2 to install helper binaries to a non-multiarch specific
    location. (Closes: #717303)
  * debian/control, debian/gpgv2.install: Split out gpgv2 into its own
    package.
  * debian/control, debian/gnupg2.install, debian/kbxutil.1: Add rule and
    manpage for kbxutil using help2man. (Closes: #323494)
  * debian/patches/02-gpgv2-dont-link-libassuan.diff: Don't link gpgv2
    against libassuan as it's not used.
  * debian/rules: Install changelog for gpgv2.

 -- Eric Dorland <eric@debian.org>  Sun, 01 Sep 2013 00:42:16 -0400

gnupg2 (2.0.21-1) unstable; urgency=low

  * New upstream release. (Closes: #613465, #720369)
  * debian/patches/01-gnupg2-rename.diff: Refresh patch.
  * debian/control: Fix Vcs-Git path.
  * debian/control: Now depends on libgpg-error >= 1.11.
  * debian/control: Build-Depends on automake1.11 since the test suite
    fails on newer versions. (Closes: #713287)
  * debian/control: Also need a Build-Conflicts on automake (<= 1.12).

 -- Eric Dorland <eric@debian.org>  Sat, 24 Aug 2013 20:33:19 -0400
