=== debian/control ===
--- 
+++ 
@@ -3,9 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Eric Dorland <eric@debian.org>
-Standards-Version: 3.9.4
-Build-Depends: debhelper (>= 9), dh-autoreconf, autopoint, gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev, libgpg-error-dev (>= 1.7), libassuan-dev (>= 2.0), libgcrypt11-dev (>= 1.4.0), libksba-dev (>= 1.0.7),libpth-dev, libusb-dev, texinfo, transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev
-Vcs-Git: git://anonscm.debian.org/~eric/gnupg2.git
+Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-autoreconf, automake1.11, autopoint,
+ gettext, zlib1g-dev | libz-dev, libldap2-dev, file, libbz2-dev,
+ libgpg-error-dev (>= 1.11), libassuan-dev (>= 2.0), libgcrypt11-dev
+ (>= 1.4.0), libksba-dev (>= 1.0.7), libpth-dev, libusb-dev, texinfo,
+ transfig, ghostscript, libreadline-dev, libcurl4-gnutls-dev
+Build-Conflicts: automake (>= 1:1.12)
+Vcs-Git: git://anonscm.debian.org/users/eric/gnupg2.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=users/eric/gnupg2.git
 Homepage: http://www.gnupg.org/
 
@@ -44,8 +49,10 @@
 Package: gpgsm
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, scdaemon (= ${binary:Version})
-Replaces: gnupg2 (<< 2.0.0-2), gnupg-agent
+Depends: gnupg-agent (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends},
+ scdaemon (= ${binary:Version})
+Breaks: gnupg2 (<< 2.0.0-2)
+Replaces: gnupg2 (<< 2.0.0-2)
 Description: GNU privacy guard - S/MIME version
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -63,7 +70,7 @@
   dpkg (>= 1.15.4) | install-info
 Recommends: ${shlibs:Recommends}
 Suggests: gnupg-doc, xloadimage
-Conflicts: gpg-idea (<= 2.2)
+Conflicts: gpg-idea
 Description: GNU privacy guard - a free PGP replacement (new v2.x)
  GnuPG is GNU's tool for secure communication and data storage.
  It can be used to encrypt data and to create digital signatures.
@@ -72,6 +79,19 @@
  .
  GnuPG 2.x is the new modularized version of GnuPG supporting OpenPGP
  and S/MIME.
+
+Package: gpgv2
+Architecture: any
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: gnupg2 (<< 2.0.21-2)
+Replaces: gnupg2 (<< 2.0.21-2)
+Suggests: gnupg2
+Description: GNU privacy guard - signature verification tool (new v2.x)
+ GnuPG is GNU's tool for secure communication and data storage.
  .
- GnuPG does not use any patented algorithms so it cannot be compatible
- with PGP2 because it uses IDEA (which is patented worldwide).
+ gpgv2 is actually a stripped-down version of gpg2 which is only able
+ to check signatures. It is somewhat smaller than the fully-blown gpg2
+ and uses a different (and simpler) way to check that the public keys
+ used to make the signature are valid. There are no configuration
+ files and only a few options are implemented.
