=== debian/rules ===
--- 
+++ 
@@ -10,13 +10,22 @@
 # paternity under the Copyright, Designs and Patents Act 1988.)
 # This file may have to be extensively modified
 
+include /usr/share/dpkg/architecture.mk
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
+# Temporary workaround for buildd failure on mips and mipsel. See
+# Bug:#730846.
+ifeq ($(DEB_HOST_ARCH),$(filter mips%,$(DEB_HOST_ARCH)))
+export DEB_BUILD_OPTIONS += nocheck
+endif
 
 %:
 	dh $@ --with autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --libexecdir=\$${pkglibdir} --enable-symcryptrun
+	dh_auto_configure -- --libexecdir=\$${prefix}/lib/gnupg2 \
+		--enable-symcryptrun
 
 override_dh_shlibdeps:
 # Make ldap a recommends rather than a hard dependency.
@@ -37,6 +46,7 @@
 	dh_installchangelogs -pgpgsm sm/ChangeLog-2011
 	dh_installchangelogs -pscdaemon scd/ChangeLog-2011
 	dh_installchangelogs -pgnupg2 ChangeLog
+	dh_installchangelogs -pgpgv2 ChangeLog
 
 # Install subdirectory changelogs.
 	for i in \
@@ -44,3 +54,6 @@
 		do install -m 644 $$i \
 			debian/gnupg2/usr/share/doc/gnupg2/changelog.$$(dirname $$i); done
 
+help2man: install
+	help2man --no-info -n "List, export, import Keybox data" \
+		debian/tmp/usr/bin/kbxutil > debian/kbxutil.1
